slptool(1)

NAME
slptool - SLP command line tool

SYNOPSIS
/usr/bin/slpd [-v|--version] [-s|--scope scopes] [-l|--language languagetag] [command [arguments]]

DESCRIPTION

slptool is a command line tool to make SLPv2 User Agent (UA) requests. It can be used for SLP lookup/advertisement in shell scripts or as a diagnostic tool.

OPTIONS

-v|--version
    displays version of slptool and OpenSLP.

-s|--scope scopes
    scopes is a comma separated list of scopes applicable for the command.

[-l|--language languagetag
    languagetag is the language tag to be used for the command.

findsrvs service-type [filter]

findattrs url [attrids]

findsrvtypes [authority]

findscopes

register url [attrs]

deregister url

getproperty propertyname

EXAMPLES
slptool register service:myserv.x://myhost.com "(attr1=val1),(attr2=val2)"

slptool findsrvs service:myserv.x

slptool findsrvs service:myserv.x "(attr1=val1)"

slptool findattrs service:myserv.x://myhost.com

slptool findattrs service:myserv.x://myhost.com attr1

slptool deregister service:myserv.x://myhost.com

slptool getproperty net.slp.useScopes

SEE ALSO
"OpenSLP User's Guide"

NOTES
This man page was written for the Debian project by Debian Developer Ganesan Rajagopal (rganesan@debian.org). You should refer to the online html documentation in the openslp-doc package for more complete and up-to-date information.

BUGS
http://sourceforge.net/tracker/?group_id=1730&atid=101730

ACKNOWLEDGEMENTS
OpenSLP is developed and maintained by The OpenSLP Project (http://www.openslp.org/).